QXmpp: QXmppVCardIq Class Reference

QXmpp Version: 1.14.2

Loading...
Searching...
No Matches
QXmppVCardIq Class Reference

Represents the XMPP vCard. More...

`#include <QXmppVCardIq.h>`

Inheritance diagram for QXmppVCardIq:

## Public Member Functions
| QXmppVCardIq (const QString &bareJid=QString())
| Constructs a QXmppVCardIq for the specified recipient.
| QXmppVCardIq (const QXmppVCardIq &other)
| Constructs a copy of other.
QXmppVCardIq & | operator= (const QXmppVCardIq &other)
| Assigns other to this vCard IQ.
QDate | birthday () const
| Returns the date of birth of the individual associated with the vCard.
void | setBirthday (const QDate &birthday)
| Sets the date of birth of the individual associated with the vCard.
QString | description () const
| Returns the free-form descriptive text.
void | setDescription (const QString &description)
| Sets the free-form descriptive text.
QString | email () const
| Returns the email address.
void | setEmail (const QString &)
| Sets the email address.
QString | firstName () const
| Returns the first name.
void | setFirstName (const QString &)
| Sets the first name.
QString | fullName () const
| Returns the full name.
void | setFullName (const QString &)
| Sets the full name.
QString | lastName () const
| Returns the last name.
void | setLastName (const QString &)
| Sets the last name.
QString | middleName () const
| Returns the middle name.
void | setMiddleName (const QString &)
| Sets the middle name.
QString | nickName () const
| Returns the nickname.
void | setNickName (const QString &)
| Sets the nickname.
QByteArray | photo () const
void | setPhoto (const QByteArray &)
| Sets the photo's binary contents.
QString | photoType () const
| Returns the photo's MIME type.
void | setPhotoType (const QString &type)
| Sets the photo's MIME type.
QString | url () const
void | setUrl (const QString &)
QList< QXmppVCardAddress > | addresses () const
| Returns the addresses.
void | setAddresses (const QList< QXmppVCardAddress > &addresses)
| Sets the addresses.
QList< QXmppVCardEmail > | emails () const
| Returns the e-mail addresses.
void | setEmails (const QList< QXmppVCardEmail > &emails)
| Sets the e-mail addresses.
QList< QXmppVCardPhone > | phones () const
| Returns the phone numbers.
void | setPhones (const QList< QXmppVCardPhone > &phones)
| Sets the phone numbers.
QXmppVCardOrganization | organization () const
| Returns the organization info.
void | setOrganization (const QXmppVCardOrganization &)
| Sets the organization info.
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
| QXmppIq (QXmppIq &&)
| Default move-constructor.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq & | operator= (QXmppIq &&)
| Move-assignment operator.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
| QXmppStanza (QXmppStanza &&)
| Move constructor.
| ~QXmppStanza () override
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QXmppStanza & | operator= (QXmppStanza &&)
| Move-assignment operator.
QString | to () const
void | setTo (const QString &)
QString | from () const
void | setFrom (const QString &)
QString | id () const
void | setId (const QString &)
QString | lang () const
void | setLang (const QString &)
QXmppStanza::Error | error () const
std::optional< Error > | errorOptional () const
void | setError (const QXmppStanza::Error &error)
void | setError (const std::optional< Error > &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)
std::optional< QXmppE2eeMetadata > | e2eeMetadata () const
void | setE2eeMetadata (const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
Public Member Functions inherited from QXmppNonza
virtual void | parse (const QDomElement &)=0
virtual void | toXml (QXmlStreamWriter *writer) const =0

## Friends
struct | QXmpp::Private::VCardData

## Additional Inherited Members
Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Detailed Description

Represents the XMPP vCard.

The functions names are self explanatory. Look at QXmppVCardManager and XEP-0054: vcard-temp for more details.

There are many field of XMPP vCard which are not present in this class. File a issue for the same. We will add the requested field to this class.

## Member Function Documentation

## ◆ photo()

QByteArray QXmppVCardIq::photo | ( |  | ) | const

Returns the photo's binary contents.

If you want to use the photo as a QImage you can use:

QBuffer buffer;
buffer.setData(myCard.photo());
buffer.open(QIODevice::ReadOnly);
QImageReader imageReader(&buffer);
QImage myImage = imageReader.read();

## ◆ setUrl()

void QXmppVCardIq::setUrl | ( | const QString & | url | ) |

Sets the URL associated with the vCard. It can represent the user's homepage or a location at which you can find real-time information about the vCard.

## ◆ url()

QString QXmppVCardIq::url | ( |  | ) | const

Returns the URL associated with the vCard. It can represent the user's homepage or a location at which you can find real-time information about the vCard.

The documentation for this class was generated from the following files:

- QXmppVCardIq.h
- QXmppVCardIq.cpp